EDIT - task #9974

Upgrade edit-production
03/11/2022 03:25 PM - Andreas Mdller

Status: Closed Start date: 03/25/2022
Priority: Highest Due date: 03/31/2022
Assignee: Andreas Muller % Done: 100%
Category: server-maintenance Estimated time: 8:00 hours
Target version: Release 5.31

Severity: normal

Description

Open issues:

¢ adaptmariadb-config-{including-timezonesh
o /ete/ntp-conf

e cleanup (#10008)

o testbackup

¢ remove-restore-filesfrom-backups (#10008)

But most important: collectd does not yet work:

Setting up collectd-core (5.12.0-7)

Job for collectd.service failed because the control process exited with error code.
See "systemctl status collectd.service" and "journalctl -xe" for details.
invoke-rc.d: initscript collectd, action "restart" failed.

_ collectd.service - Statistics collection and monitoring daemon

Loaded: loaded (/lib/systemd/system/collectd.service; enabled; vendor preset: enabled)
Active: activating (auto-restart) (Result: exit-code) since Tue 2022-03-29 14:47:05 CEST; o6ms

ago
Docs: man:collectd (1)
man:collectd.conf (5)
https://collectd.org
Process: 24471 ExecStartPre=/usr/sbin/collectd -t (code=exited, status=0/SUCCESS)
Process: 24472 ExecStart=/usr/sbin/collectd (code=exited, status=1/FAILURE)
Main PID: 24472 (code=exited, status=1/FAILURE)
CPU: 13ms
dpkg: error processing package collectd-core (--configure):

installed collectd-core package post-installation script subprocess returned error exit status 1

dpkg: dependency problems prevent configuration of collectd:
collectd depends on collectd-core (>= 5.12.0-7); however:
Package collectd-core is not configured yet.
collectd depends on collectd-core (<< 5.12.0-7.1~); however:
Package collectd-core is not configured yet.

dpkg: error processing package collectd (--configure):
dependency problems - leaving unconfigured
Processing triggers for man-db (2.9.4-2)
Processing triggers for libc-bin (2.31-13+debllu3)
Errors were encountered while processing:
collectd-core
collectd

Related issues:

Related to EDIT - task #9972: Upgrade edit-integration Closed 03/17/2022 03/25/2022
Related to EDIT - task #9971: Upgrade edit-test Closed 03/17/2022 03/30/2022
Related to EDIT - task #8057: Upgrade to debian 10 Closed 03/28/2022 04/01/2022
Related to EDIT - task #10008: Cleanup after server upgrades New 04/08/2022 04/22/2022
Related to EDIT - task #10006: Check backups fully work after upgrades to deb... New 06/06/2022 06/06/2022
Copied from EDIT - task #9973: Upgrade edit-database Closed 03/22/2022 03/29/2022
https://dev.e-taxonomy.eu/redmine/issues/10008
https://dev.e-taxonomy.eu/redmine/issues/10008

History

#1 - 03/11/2022 03:25 PM - Andreas Miiller
- Copied from task #9973: Upgrade edit-database added

#2 - 03/25/2022 11:50 AM - Andreas Miiller
- Related to task #9972: Upgrade edit-integration added

#3 - 03/25/2022 11:50 AM - Andreas Miiller
- Related to task #9971: Upgrade edit-test added

#4 - 03/25/2022 11:50 AM - Andreas Miiller
- Related to task #8057: Upgrade to debian 10 added

#5 - 03/29/2022 03:22 PM - Andreas Miiller
- % Done changed from 0 to 80

Open issues => moved to ticket description

#6 - 03/31/2022 09:45 AM - Andreas Miiller
- Description updated
- % Done changed from 80 to 90

#7 - 03/31/2022 09:56 AM - Andreas Miiller

- Description updated

#8 - 03/31/2022 09:56 AM - Andreas Miiller
- Related to task #10008: Cleanup after server upgrades added

#9 - 03/31/2022 09:58 AM - Andreas Miiller
- Related to task #10006: Check backups fully work after upgrades to debian 11 added

#10 - 03/31/2022 10:01 AM - Andreas Muller

- Status changed from New to In Progress

#11 - 03/31/2022 04:33 PM - Andreas Miiller

- Description updated

#12 - 04/06/2022 11:28 PM - Andreas Miiller
- Description updated
- Status changed from In Progress to Closed

- % Done changed from 90 to 100
